0

After creating my auth.json file and adding the credentials:

{
  "http-basic": {
    "repo.magento.com": {
      "username": "publickey",
      "password": "privatekey"
    }
  }
}

and doing a composer install, and I am receiving this message:

Loading composer repositories with package information
Installing dependencies (including require-dev) from lock file
Package operations: 379 installs, 0 updates, 0 removals
  - Installing magento/module-store (100.2.8): Downloading (connecting...)

  [Composer\Downloader\TransportException]                                                                                        
  Invalid credentials for 'https://repo.magento.com/archives/magento/module-store/magento-module-store-100.2.8.0.zip', aborting

any idea what am i missing ? Thnx

  • can you please check auth.json permission. – Anas Mansuri Sep 6 at 10:00
  • also check credentials – Rk Rathod Sep 6 at 10:08
  • @AnasMansuri See: -rw-rw-r-- 1 www-data www-data 125 Sep 4 12:07 auth.json – Attila Naghi Sep 6 at 10:10
  • @RkRathod I am 100% sure the credentials are correct :) – Attila Naghi Sep 6 at 10:10

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Browse other questions tagged or ask your own question.